Subject: [bug#56169] [PATCH] gnu: Add cambalache.

From: Daniel Meißner <[email-masked]>
Date: Wed, 29 Jun 2022 09:21:21 +0200

Hi Liliana,

Thanks for packaging Cambalache :-) I have applied your patch to my
local Guix checkout and it builds fine.  However, running

    ./pre-inst-env guix shell cambalache -- cambalace

Cambalache starts up but I am unable to add any widgets.  There are some
error messages written to stderr that complain about a missing
typelib: CambalachePrivate.  I see that you wrap the programme but you
did not include the path to the CambalachePrivate typelib.  So maybe
this is causing the problem?

Additionally, the icons in the headerbar are missing.  This seems to be
related to:

Missing dependency for Xournal++
https://issues.guix.gnu.org/51968

Best

-- 
Daniel